package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ImGroup;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class ImGroupDto extends BaseEntity {
    @ApiModelProperty(value = "用户列表")
    private List<String> userIdList = new ArrayList<>();

    @ApiModelProperty(value = "群名称")
    private String groupName;

    @ApiModelProperty(value = "群类型 乐团群 MUSIC，班级群 CLASS，训练营 TRAINING,曲目演奏课 REPERTOIRE_PLAY")
    private String type;

    @ApiModelProperty(value = "群细分类型")
    private ImGroup.GroupTypeEnum groupType;

    public List<String> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<String> userIdList) {
        this.userIdList = userIdList;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public ImGroup.GroupTypeEnum getGroupType() {
        return groupType;
    }

    public void setGroupType(ImGroup.GroupTypeEnum groupType) {
        this.groupType = groupType;
    }
}
